org.apache.cassandra.streaming

## Enum OperationType

- java.lang.Object
- - java.lang.Enum<OperationType>
  - - org.apache.cassandra.streaming.OperationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OperationType>

      public enum OperationType
      extends java.lang.Enum<OperationType>

  Streaming operation type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AES`
    `BOOTSTRAP`
    `BULK_LOAD`
    `REBUILD`
    `RESTORE_REPLICA_COUNT`
    `UNBOOTSTRAP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OperationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OperationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AES

          public static final OperationType AES

    - #### BOOTSTRAP

          public static final OperationType BOOTSTRAP

    - #### UNBOOTSTRAP

          public static final OperationType UNBOOTSTRAP

    - #### RESTORE_REPLICA_COUNT

          public static final OperationType RESTORE_REPLICA_COUNT

    - #### BULK_LOAD

          public static final OperationType BULK_LOAD

    - #### REBUILD

          public static final OperationType REBUILD

  - ### Method Detail

    - #### values

          public static OperationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperationType c : OperationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2014 The Apache Software Foundation